#
# spec file for package python-mbstrdecoder
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-mbstrdecoder
Version:        1.1.4
Release:        1.1
Summary:        Multi-byte character string decoder
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thombashi/mbstrdecoder
Source:         https://files.pythonhosted.org/packages/source/m/mbstrdecoder/mbstrdecoder-%{version}.tar.gz
BuildRequires:  %{python_module Faker >= 1.0.2}
BuildRequires:  %{python_module chardet >= 3.0.4}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Faker >= 1.0.2
Requires:       python-chardet >= 3.0.4
BuildArch:      noarch
%python_subpackages

%description
Python library for multi-byte character string decoding.

%prep
%setup -q -n mbstrdecoder-%{version}
# Remove build alias
sed -i '/build =/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon May  5 2025 Dirk Müller <dmueller@suse.com>
- update to 1.1.4:
  * Fix `UnicodeDecodeError` exception sending correctly
  * Remove deprecated `tests_require` from setup.py
  * Modify to use `setuptools_scm` for package build
  * Add support for Python 3.13
  * Drop support for Python 3.7/3.8
  * Add metadata attributes to the `mbstrdecoder` module
  * Improve type annotations
* Fri Dec  1 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.3:
  * Add `__all__` to __init__.py
  * Add `zip_safe=False`
* Wed May  3 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.2:
  * Add support for Python 3.12
  * Drop support for Python 3.6
  * Fix a type annotation
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 1.1.1:
  Remove chardet<5 requirement by @karolinku in #6
  Add support for Python 3.11
  Remove code that for support Python 2
* Wed Dec  8 2021 pgajdos@suse.com
- do not require pytest-runner, it is not needed
* Tue Oct 26 2021 Dirk Müller <dmueller@suse.com>
- update to 1.1.0:
  * add Python 3.10 support
  * drop Python 3.5 support
* Tue Sep  7 2021 Dirk Müller <dmueller@suse.com>
- update to 1.0.1:
  * allow chardet 4
* Sun Dec 20 2020 John Vandenberg <jayvdb@gmail.com>
- Allow use with chardet v4
* Sun Apr  5 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0.0
  * no upstream changelog found
- Drop support for python2
- Adjust dependencies
* Wed Apr  1 2020 pgajdos@suse.com
- version update to 0.8.4
  * no upstream changelog found
* Thu Feb  6 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.8.3:
  * Fix encoding detection failure
  * Modify to get a stable result when repeatedly call
  * Change chardet dependency from optional to mandatory
  * Update extras_require
* Wed Jul 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.8.1:
  * reduced test dependencies
  * Fixes for python 3.8
* Fri May 10 2019 John Vandenberg <jayvdb@gmail.com>
- De-vendor six
- Enable builds on Python 2 and remove undesirable build dependencies
* Fri Jan 18 2019 mardnh@gmx.de
- Initial package, version 0.6.2
